# MIME-Lite-3.023.tar.gz
%define _use_internal_dependency_generator 0

Name: perl-MIME-Lite
Version: 3.023
Release: 2
Summary: MIME::Lite - low-calorie MIME generator
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/~rjbs/MIME-Lite/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl-Email-Date-Format
Source0: MIME-Lite-%{version}.tar.gz

#%define __find_requires %{SOURCE1}

%description
MIME::Lite - low-calorie MIME generator

%prep
%setup -q -n MIME-Lite-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
make
make test || :

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > MIME-Lite-%{version}-filelist
if [ "$(cat MIME-Lite-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f MIME-Lite-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Dec 18 2008 Michael Stauber <mstauber@solarspeed.net>
- Added requirement for perl-Email-Date-Format

* Thu Dec 18 2008 Michael Stauber <mstauber@solarspeed.net>
- Initial build
